@import "./base.css";
@import "./supplier.css";

.main_wrapper {
    display: flex;
    align-items: start;
    justify-content: start;
    gap: 20px;
    padding: 20px;
    background-color: #f4f7fe;
    width: 100dvw;
    height: 100dvh;
    overflow: hidden scroll;
}

.admin_sidebar {
    flex: 0 0 auto;
    width: 100%;
    height: 100%;
    max-width: 220px;
    background-color: #ffffff;
    border-radius: 16px;
    z-index: 2;
    margin-right: 5px;
}

.main_content {
    width: calc(100% - 220px);
    flex: 1 1 auto;
}

.sidebar_header {
    padding: 24px 12px 12px;
    border-bottom: 1px solid #e4edfb;
}

.brand_logo {
    display: block;
    width: 125px;
    margin: 0px auto;
}

.sidebar_nav {
    padding: 16px;
}

.sidebar_menu {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.sidebar_menu_item {
    display: block;
    position: relative;
}

.sidebar_menu_btn {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 12px;
    padding: 10px 12px;
    border-radius: 50px;
    cursor: pointer;
    color: #697286;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
}

.sidebar_menu_item.active .sidebar_menu_btn {
    color: #000000;
}

.sidebar_menu_item.active .sidebar_menu_btn,
.sidebar_menu_btn:hover {
    background-color: #f4f7fe;
}

.sidebar_menu_icon {
    width: 20px;
    aspect-ratio: 1;
}

.sidebar_menu_item .active_icon,
.sidebar_menu_item:hover .inactive_icon,
.sidebar_menu_item.active .inactive_icon {
    display: none;
}

.sidebar_menu_item:hover .sidebar_submenu,
.sidebar_menu_item.active .sidebar_submenu,
.sidebar_menu_item:hover .active_icon,
.sidebar_menu_item.active .active_icon {
    display: block;
}

.sidebar_menu_dropdown_icon {
    width: 16px;
    aspect-ratio: 1;
    margin-left: auto;
}

.sidebar_submenu {
    position: absolute;
    top: 0;
    left: 100%;
    z-index: 1;
    min-width: 200px;
    padding: 8px 2px;
    border-radius: 24px;
    backdrop-filter: blur(14px);
    background-color: #f4f7fe66;
    border: 1px solid #ffffff;
    box-shadow: 0px 4px 11px 0px #565c942e;
    display: none;
}

.sidebar_menu_item:last-child .sidebar_submenu {
    top: unset;
    bottom: 0;
}

.sidebar_submenu_item {
    color: #697286;
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    padding: 8px 10px;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 12px;
    position: relative;
    white-space: nowrap;
    cursor: pointer;
}

.sidebar_submenu_item::before {
    content: "";
    width: 24px;
    height: 24px;
}

.sidebar_submenu_item::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 24px;
    transform: translate(-75%, -50%);
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #4a6cf7;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.15s ease;
    will-change: opacity;
}

.sidebar_submenu_item:hover::after,
.sidebar_submenu_item.active::after {
    opacity: 1;
}

.sidebar_submenu_item:hover,
.sidebar_submenu_item.active {
    color: #4a6cf7;
}

.main_header {
    width: 100%;
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1;
    border-radius: 50px;
    padding: 12px 24px 12px 12px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 16px;
    margin-bottom: 20px;
}

.searchbar_input_wrap {
    max-width: 268px;
    width: 100%;
    height: 42px;
    gap: 4px;
    border-radius: 50px;
    padding: 6px 14px;
    display: flex;
    align-items: center;
    background-color: #f4f7fe;
}

.searchbar_input_wrap svg {
    width: 16px;
    aspect-ratio: 1;
    flex: 0 0 auto;
    display: none;
}

.searchbar_clear_icon {
    cursor: pointer;
}

.searchbar_input_wrap:has(.searchbar_input:not(:placeholder-shown))
    .searchbar_clear_icon,
.searchbar_input_wrap:has(.searchbar_input:placeholder-shown) .searchbar_icon {
    display: block;
}

.searchbar_input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    background-color: transparent;
    color: #697286;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
}

.notification_icon,
.settings_icon {
    width: 40px;
    height: 40px;
    padding: 10px;
    border-radius: 50%;
    background-color: #f9faff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    justify-self: end;
    cursor: pointer;
}

.notification_icon[data-notification-count="0"]::before,
.notification_icon:not([data-notification-count])::before {
    display: none;
}

.notification_icon::before {
    content: attr(data-notification-count);
    box-sizing: border-box;
    min-width: 16px;
    min-height: 16px;
    width: max-content;
    height: max-content;
    color: #ffffff;
    font-size: 10px;
    font-weight: 400;
    line-height: 1.5;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0%;
    right: 0%;
    transform: translate(10%, -10%);
    z-index: 1;
    border-radius: 50%;
    padding: 1px;
    background-color: #b12029;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.vertical_rule {
    width: 2px;
    height: 40px;
    background-color: #e6ebf8;
}

.searchbar_user_details_wrap {
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-template-rows: repeat(2, auto);
    align-items: center;
    column-gap: 10px;
}

.searchbar_user_img {
    grid-area: 1 / 1 / 3 / 2;
    width: 40px;
    aspect-ratio: 1;
    cursor: pointer;
}

.searchbar_user_name {
    grid-area: 1 / 2 / 2 / 3;
    color: #0e1020;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 2px;
}

.searchbar_user_mail {
    grid-area: 2 / 2 / 3 / 3;
    color: #777777;
    font-weight: 400;
    font-size: 12px;
    line-height: 1.5;
}

.searchbar_user_details_dropdown {
    grid-area: 1 / 3 / 3 / 4;
    cursor: pointer;
}

.searchbar_user_dropdown {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    z-index: 2;
    min-width: 220px;
    margin-top: 8px;
    padding: 8px 0;
    border-radius: 16px;
    background-color: #ffffff;
    box-shadow: 0 8px 16px #0000001a;
}

.searchbar_user_dropdown a {
    display: block;
    color: #333;
    font-size: 14px;
    padding: 8px 16px;
    text-decoration: none;
}

.searchbar_user_dropdown a:hover {
    background-color: #f4f7fe;
}

.searchbar_user_dropdown .la {
    margin-right: 10px;
    font-size: 20px;
    line-height: 1;
    font-weight: 600;
}

/* --------------------------------------- Attribute page css starts here ---------------------------- */

.create_btn {
    background-color: #0e1020;
    font-size: 14px;
    font-weight: 400;
    color: #ffffff;
    padding: 10px 16px;
    border-radius: 50px;
}

.modal_wrapper .modal-content {
    min-width: 500px;
    min-height: 226px;
    width: 100%;
    height: 100%;
    padding: 16px 20px;
    border-radius: 24px;
    background-color: #ffffff;
    box-shadow: 0px 4px 24px 0px #8c98be38;
}

.modal_wrapper .modal-title {
    font-size: 20px;
    font-weight: 500;
    color: #0d1a36;
}

.modal_para {
    font-size: 13px;
    color: #777777;
    margin: 0px;
}

.btn_with_outline {
    border-radius: 50px;
    border: 1px solid #0e1020;
    color: #0e1020;
    font-size: 14px;
    padding: 9px 34px;
    min-height: 42px;
    min-width: 120px;
    width: fit-content;
    text-align: center;
}

.btn_with_bg {
    border-radius: 50px;
    border: none;
    outline: none;
    background-color: #0e1020;
    color: #ffffff;
    font-size: 14px;
    padding: 10px 24px;
    min-height: 42px;
    min-width: 120px;
    width: fit-content;
    text-align: center;
}

.modal_wrapper .input_wrapper input[type="checkbox"] {
    width: 16px;
    height: 16px;
}
.modal_wrapper .input_wrapper label {
    font-size: 14px;
}

.modal_wrapper .input_wrapper .input_select,
.modal_wrapper .input_wrapper input[type="text"],
.modal_wrapper .input_wrapper input[type="password"],
.modal_wrapper .input_wrapper input[type="email"],
.modal_wrapper .input_wrapper input[type="number"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    padding: 12px 35px 12px 20px;
    margin-top: 6px;
    font-size: 14px;
    border-radius: 50px;
    background-color: #f9faff;
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 30px;
    cursor: text;
}

.modal_wrapper .input_wrapper .input_select {
    border: none;
    background-image: url('data:image/svg+xml;utf8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M6 9L12 15L18 9" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" stroke="currentColor"/></svg>');
}

.modal_wrapper .input_wrapper input[type="text"] {
    border: 1px solid transparent;
    transition: border-color 0.2s ease;
}

.tag_list_wrapper {
    position: relative;
}

.modal_wrapper .input_wrapper .close_icon {
    position: absolute;
    top: 42px;
    right: 14px;
    width: auto;
    cursor: pointer;
}

.tag_list_wrapper_edit{
    position: relative;
}

.tag_list_wrapper_edit .close_icon{
    top: 34px !important;
}

.modal_wrapper .input_wrapper input[type="text"]:focus {
    border-color: #becdff;
    outline: none;
}

.color_attributes {
    gap: 20px;
}

.delete_row {
    cursor: pointer;
    margin-top: 28px;
    color: #0d1a36;
}

.delete_row:hover {
    opacity: 0.7;
}

.modal_wrapper .color_attributes_wrapper .input_wrapper input[type="text"] {
    background-image: none;
}

.tag-input {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
    padding: 6px 10px;
    margin-top: 6px;
    border-radius: 50px;
    background-color: #f9faff;
    border: 1px solid #becdff;
}

.tag-input input {
    border: none !important;
    background-image: none !important;
    padding: 6px 0;
    margin: 0;
    flex: 1;
    min-width: 120px;
    background: transparent;
}

.tag_list {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    margin-top: 10px;
}

.tag_list .tag {
    gap: 6px;
    padding: 4px 12px;
    border-radius: 50px;
    background-color: #e4edfb;
    border: 1px solid #cbd1e5;
    font-size: 12px;
    color: #0d1a36;
    white-space: nowrap;
    text-transform: uppercase;
}

.tag button {
    border: none;
    background: none;
    cursor: pointer;
    font-size: 25px;
    line-height: 1;
    padding: 0;
    color: #0d1a36;
}

.modal_wrapper .input_wrapper .input_select:focus {
    border: none;
    outline: none;
}

.modal_wrapper .input_wrapper .input_select option {
    background-color: #f9faff;
    color: #0d1a36;
}

.hidden {
    display: none !important;
}

.add_value {
    font-size: 13px;
    font-weight: 400;
    cursor: pointer;
    gap: 4px;
}

/* --------------------------------------- Delete attribute modal css starts here ---------------------------- */
.delete_content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    text-align: center;
}
.delete_content .delete_icon {
    width: 100px;
    height: 100%;
}
.delete_content .modal_para {
    font-size: 14px;
    font-weight: 300;
    color: #777777;
    margin: 0px;
    line-height: 23px;
}

/* --------------------------------------- Delete attribute modal css ends here ---------------------------- */

/* --------------------------------------- Update stock modal css starts here ---------------------------- */
.material_details_wrapper {
    width: 100%;
    background-color: #f8f9fc;
    border-radius: 16px;
    padding: 20px;
    margin-top: 15px;
}
.material_details_wrapper .title {
    position: relative;
    font-size: 16px;
    font-weight: 500;
    padding-left: 8px;
    color: #0d1a36;
}
.material_details_wrapper .title::before {
    content: "";
    position: absolute;
    left: 0px;
    top: 1px;
    width: 3px;
    height: 90%;
    background-color: #8ba2ed;
    border-radius: 50px;
}
.material_grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
    text-align: left;
    margin-top: 24px;
}
.material_grid .material_wrapper {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.material_details_wrapper .material_grid p {
    margin: 0px;
}

.lg_modal {
    max-width: 1040px;
}

.md_modal {
    max-width: 740px;
}

.modal_para_dark {
    display: flex;
    align-items: baseline;
    gap: 8px;
    font-size: 14px;
    font-weight: 400;
    color: #0d1a36;
    margin: 0px;
}

.mode_table_wrapper {
    width: 100%;
    margin-top: 24px;
}

.mode_table_wrapper .container {
    padding: 0px;
}

/* Layout fix for radio + pill */
.radio-tabs .nav-item {
    display: flex;
    align-items: center;
    gap: 6px;
    position: relative;
    cursor: pointer;
}

.mode_table_wrapper .tab-content {
    border: none;
    box-shadow: none;
}

/* Visible radios */
.radio-tabs input[type="radio"] {
    cursor: pointer;
    position: absolute;
    opacity: 0;
}

.checkmark {
    position: absolute;
    top: 2px;
    left: 0;
    height: 16px;
    width: 16px;
    background-color: #f4f7fe;
    border-radius: 50%;
    border: 1px solid #464e8f;
}

.radio-tabs input[type="radio"]:checked ~ .checkmark {
    background-color: #0d1a36;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.radio-tabs input[type="radio"]:checked ~ .checkmark:after {
    display: block;
}

.nav-item .checkmark:after {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #ffffff;
}

/* Default tab pane hidden */
.tab-pane {
    display: none;
}

.nav-pills .nav-link {
    padding: 0px 0px 0px 24px;
    margin: 0px;
    cursor: pointer;
    font-size: 14px;
    font-weight: 400;
}

.radio-tabs li:has(input:checked) .nav-link {
    background-color: transparent;
    color: #0d1a36;
}

/* Show correct tab pane */
.radio-tabs:has(#add:checked) #add-pane,
.radio-tabs:has(#adjust:checked) #adjust-pane,
.radio-tabs:has(#add_md:checked) #add-pane_md,
.radio-tabs:has(#adjust_md:checked) #adjust-pane_md,
.radio-tabs:has(#all_supplier:checked) #all_pane,
.radio-tabs:has(#specific_period:checked) #specific_pane,
.radio-tabs:has(#all_vendor:checked) #all_pane_vendor,
.radio-tabs:has(#vendor_specific_period:checked) #specific_pane_vendor {
    display: block;
}

.label_text {
    font-size: 13px;
    font-weight: 400;
    text-align: left;
    margin-bottom: 6px;
}

.reason_box textarea {
    width: 100%;
    background-color: #f9faff;
    border-radius: 16px;
    padding: 8px 16px;
}

/* --------------------------------------- Update stock modal css ends here ---------------------------- */

/* --------------------------------------- Low stock modal css starts here ---------------------------- */
.low_stock_input_wrapper {
    width: 100%;
}
.low_stock_input_wrapper input {
    width: 100%;
    background-color: #f9faff;
    border-radius: 50px;
    padding: 10px 25px;
}
.modal_table_wrapper {
    width: 100%;
    text-align: left;
    margin-top: 6px;
}
.modal_table_wrapper thead {
    background-color: #e6ebf8;
    color: #0d1a36;
    font-size: 14px;
    font-weight: 400;
}
.modal_table_wrapper tbody tr td {
    font-size: 14px;
    font-weight: 300;
    color: #777777;
}

.modal_table_wrapper {
    border-spacing: 0;
    border-collapse: separate;
    border-radius: 10px;
    border: 1px solid #F4F7FE;
    overflow: hidden;
}

table.modal_table_wrapper th:not(:last-child),
table.modal_table_wrapper td:not(:last-child) {
    border-right: 1px solid #F4F7FE;
}

table.modal_table_wrapper > thead > tr:not(:last-child) > th,
table.modal_table_wrapper > thead > tr:not(:last-child) > td,
table.modal_table_wrapper > tbody > tr:not(:last-child) > th,
table.modal_table_wrapper > tbody > tr:not(:last-child) > td,
table.modal_table_wrapper > tfoot > tr:not(:last-child) > th,
table.modal_table_wrapper > tfoot > tr:not(:last-child) > td,
table.modal_table_wrapper > tr:not(:last-child) > td,
table.modal_table_wrapper > tr:not(:last-child) > th,
table.modal_table_wrapper > thead:not(:last-child),
table.modal_table_wrapper > tbody:not(:last-child),
table.modal_table_wrapper > tfoot:not(:last-child) {
    border-bottom: 1px solid #F4F7FE;
}

.modal_table_wrapper tbody tr td input {
    width: 100%;
    background-color: #f9faff;
    border-radius: 8px;
    padding: 10px 16px;
    color: #0D1A36;
    font-weight: 400;
}

.modal_table_wrapper th {
    padding: 16px;
    font-weight: 400;
}
.modal_table_wrapper tr,
.modal_table_wrapper td {
    padding: 10px 16px;
}
/* --------------------------------------- Low stock modal css ends here ---------------------------- */

/* --------------------------------------- Supplier management page css starts here ---------------------------- */
.import-export-wrapper {
  position: relative;
  display: inline-block;
}

.import-export-btn {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 8px 16px;
  border: 1.5px solid #1f2937;
  border-radius: 999px;
  background: #fff;
  color: #111827;
  font-size: 14px;
  cursor: pointer;
}

.arrow {
  font-size: 12px;
  transition: transform 0.25s ease;
}

/* rotate arrow when open */
.import-export-btn.is-open .arrow {
  transform: rotate(180deg);
}

.dropdown-menu {
  position: absolute;
  top: calc(100% + 0px);
  /* right: 0; */
  min-width: 140px;
  background: #fff;
  border: 1px solid #e5e7eb;
  border-radius: 8px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.08);
  display: none;
  overflow: hidden;
}

.dropdown-menu button {
  width: 100%;
  padding: 8px 12px;
  background: none;
  border: none;
  text-align: left;
  cursor: pointer;
  font-size: 14px;
}

.dropdown-menu button:hover {
  background: #f3f4f6;
}

.anchor_para{
    font-size: 12px;
    font-weight:400;
    color: #4A6CF7;
    text-decoration: underline;
    cursor: pointer;
}

.import_export_modal_wrapper .modal-footer{
    gap: 20px;
}

.file_import_wrapper {
    position: relative;
    width: 100%;
    aspect-ratio: 4.3;
    border: 2px dashed #CBD1E5;
    background-color: #F9FAFF;
    border-radius: 24px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.file_import_wrapper.dragover {
    border-color: #3F6EF5;
    background-color: #EEF2FF;
}

.file_input {
    position: absolute;
    inset: 0;
    opacity: 0;
    cursor: pointer;
}

.file_import_content {
    text-align: center;
    pointer-events: none; /* allow click through to input */
}

.file_import_content .title {
    color: #0D1A36;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 6px;
}

.file_import_content .title span {
    color: #4A6CF7;
    text-decoration: underline;
}

.file_import_content .desc {
    font-size: 14px;
    color: #6B7280;
}

.file_import_content .file_name {
    margin-top: 6px;
    font-size: 14px;
    color: #0D1A36;
}

.announcement{
    font-size: 13px;
    font-weight: 400;
    color: #0D1A36;
    background-color: #E4EDFB;
    border-radius: 4px;
    position: relative;
    padding: 10px 16px;
    margin-top: 8px;
}
.announcement::before{
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 4px;
    height: 100%;
    background-color: #0E1020;
    border-top-left-radius: 50px;
    border-bottom-left-radius: 50px;
}

.tab-content{
    background-color: transparent;
    border: none;
    box-shadow: none;
}

.file_format_title{
    font-size: 14px;
    font-weight: 500;
    color: #4B4B4B;
    margin-bottom: 8px;
}

.date_range_wrapper {
    width: 100%;
}

.date_label {
    display: block;
    font-size: 13px;
    font-weight: 400;
    margin-bottom: 6px;
    color: #374151;
}

.date_input_wrapper {
    position: relative;
}

.date_range_input {
    width: 100%;
    padding: 10px 40px 10px 14px;
    border-radius: 999px;
    border: none;
    background-color: #F5F7FF;
    font-size: 14px;
    color: #111827;
    cursor: pointer;
}

.date_range_input:focus {
    outline: none;
}

.calendar_icon {
    position: absolute;
    right: 14px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    font-size: 16px;
}

.supplier_checklist{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 15px;
}

/* --------------------------------------- Supplier management page css ends here ---------------------------- */

/* --------------------------------------- Vendor management page css starts here ---------------------------- */
.add_bank_modal{
    max-width: 570px;
}

.form_wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px
}

.form_wrapper .input_wrapper label{
    font-size: 13px;
    font-weight: 400;
}

.js-save-btn:disabled{
    opacity: 0.5;
    cursor: not-allowed;
}

.js-account-error {
  font-size: 12px;
  margin-top: 4px;
}

.document_list_modal{
    max-width: 535px;
}

.view_document{
    font-size: 14px;
    font-weight: 500;
    color: #4A6CF7;
    text-decoration: underline;
    cursor: pointer;
    margin: 0px;
}

.document_list_wrapper_main{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px;
}

.document_list_wrapper{
    background-color: #F4F7FE;
    border-radius: 12px;
    padding: 9px 12px;
}

.document_list_wrapper .file_name{
    font-size: 13px;
    font-weight: 400;
    color: #0D1A36;
    margin: 0px;
    padding-bottom: 4px;
}

.document_list_wrapper .file_size{
    font-size: 12px;
    font-weight: 400;
    color: #777777;
}

.file_type_img{
    padding-right: 10px;
}
/* --------------------------------------- Vendor management page css ends here ---------------------------- */

/* --------------------------------------- Purchase css starts here ---------------------------- */
.error_text{
    color: #FF2A2A !important;
}
.add_raw_material_modal{
    max-width: 1262px;
}
.raw_material_main_wrapper{
    width: 100%;
    margin-top: 20px;
}
.raw_material_main_wrapper .wrapper_header{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #E4EDFB;
    border-radius: 16px;
    padding: 8px 16px;
}
.raw_material_main_wrapper .wrapper_header p{
    font-size: 16px;
    font-weight: 500;
    margin: 0px;
    color: #0D1A36;
}
.raw_material_main_wrapper .wrapper_header .search_items_wrapper{
    width: 65%;
    gap: 16px;
}
.raw_material_main_wrapper .wrapper_header .canvas_search_wrapper{
    text-align: start;
    width: 78%;
}
.wrapper_body{
    width: 100%;
    max-height: 350px;
    overflow-y: auto;
    box-shadow:
    0 4px 6px rgba(140, 152, 190, 0.12),
    0 10px 20px rgba(140, 152, 190, 0.22);
    border-radius: 4px;
    margin-top: 8px;
}
.wrapper_body_main{
    border-bottom: 1px solid #F4F7FE;
}
.checkbox_avatar_content_wrapper{
    gap: 20px;
}
.checkbox_avatar_content_wrapper input[type="checkbox"]{
    width: 16px;
    height: 16px;
    background-color: rgba(244, 247, 254, 1);
    border: 1px solid rgba(203, 209, 229, 1);
    border-radius: 3px;
}
.checkbox_avatar_content_wrapper .avatar_img{
    width: 30px;
    height: 30px;
}
.checkbox_avatar_content_wrapper .avatar_img img{
    width: 100%;
    height: 100%;
}
.material_name{
    font-size: 14px;
    font-weight: 400;
    color: rgba(74, 108, 247, 1);
}
.checkbox_avatar_content_wrapper .material_code{
    font-size: 13px;
    font-weight: 300;
    color: rgba(119, 119, 119, 1);
}
.left_content{
    border-right: 1px solid #F4F7FE;
}
.left_content, .right_content{
    width: 50%;
    padding: 14px 16px;
}
.left_content p, .right_content p{
    font-size: 14px;
    font-weight: 400;
    color: #0D1A36;
}
.left_content span, .right_content span{
    font-size: 13px;
    font-weight: 300;
    color: #777777;
}
.inc_dec_wrapper{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 24px;
}
.inc_dec_wrapper .qty-value{
    font-size: 14px;
    font-weight: 400;
    color: #0D1A36;
}
.inc_dec_wrapper .qty-btn{
    font-size: 30px;
    font-weight: 400;
}
.item_details_wrapper{
    width: 100%;
    border: 1px solid #F4F7FE;
    border-radius: 16px;
    padding: 16px;
    margin-top: 20px;
}
.item_details_wrapper table{
    width: 100%;
}
.item_details_wrapper thead{
    background-color: #E6EBF8;
    border-radius: 4px;
}
.item_details_wrapper input{
    width: 16px;
    height: 16px;
    border: 1px solid #CBD1E5;
}
.item_details_wrapper table thead th{
    padding: 9px 14px;
    font-size: 14px;
    font-weight: 400;
    text-align: left;
    color: #0D1A36;
}
.item_details_wrapper table tbody tr {
    border-bottom: 1px solid #F4F7FE;
}
.item_details_wrapper table tbody tr td{
    padding: 9px 14px;
    font-size: 14px;
}
.item_tag{
    background-color: #F4F7FE;
    border-radius: 8px;
    font-size: 10px;
    font-weight: 400;
    color: #777777;
    padding: 4px 6px;
}
.cancel_reason_wrapper{
    width: 100%;
    text-align: left;
    margin-top: 15px;
}
.cancel_reason_wrapper label{
    font-size: 13px;
    font-weight: 400;
    color: #374151;
}
.cancel_reason_wrapper textarea{
    width: 100%;
    background-color: #F9FAFF;
    padding: 8px 16px;
    border-radius: 16px;
    font-size: 14px;
}
.cancel_reason_wrapper input[type="text"]{
    width: 100%;
    border-radius: 50px;
    background-color: #F9FAFF;
    padding: 11px 20px;
    font-size: 14px;
}
/* --------------------------------------- Purchase css ends here ---------------------------- */

/* --------------------------------------- Off canvas css starts here ---------------------------- */

.offcanvas-backdrop {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.15s linear;
    z-index: 1040;
    pointer-events: none;
}

.offcanvas-backdrop.show {
    opacity: 1;
    pointer-events: auto;
}

.stock_canvas.offcanvas {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 608px;
    max-width: 100%;
    background-color: #e4edfb;
    border-top-left-radius: 24px;
    border-bottom-left-radius: 24px;
    z-index: 1045;
    visibility: hidden;
    transform: translateX(100%);
    transition:
        transform 0.3s ease-in-out,
        visibility 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
}

.stock_canvas.offcanvas-end {
    right: 0;
}

.stock_canvas.offcanvas.show {
    visibility: visible;
    transform: translateX(0);
}

.stock_canvas .offcanvas-header {
    position: relative;
}

.stock_canvas .offcanvas-body {
    padding: 20px;
    overflow-y: auto;
    flex: 1;
}

.stock_canvas .tab-content {
    background-color: transparent;
    border: none;
    box-shadow: none;
}

.stock_canvas .offcanvas-header .btn-close {
    background: none;
    border: none;
    cursor: pointer;
    position: absolute;
    left: -20px;
    top: 75px;
    background: #e4edfb;
    border-radius: 50px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.stock_canvas .nav-pills {
    width: fit-content;
    background-color: #ffffff;
    padding: 7px;
    border-radius: 50px;
    gap: 12px;
}

.stock_canvas .nav-pills .nav-link {
    font-size: 14px;
    font-weight: 500;
    padding: 8px 16px;
    border-radius: 50px;
    transition: all 0.2s ease;
}

.stock_canvas .nav-pills .nav-link.active {
    color: #ffffff;
    background-color: #8ba2ed;
    transition: all 0.2s ease;
}

.canvas_search_wrapper input[type="text"] {
    width: 100%;
    background-color: #ffffff;
    border-radius: 50px;
    padding: 10px 16px;
    font-size: 14px;
    font-weight: 400;
    color: #777777;
}

.canvas_search_wrapper .searchbar_icon {
    position: absolute;
    top: 50%;
    right: 0%;
    transform: translate(-100%, -50%);
    width: auto;
    background-color: #ffffff;
}

.canvas_content_wrapper {
    width: 100%;
    border-radius: 16px;
    padding: 20px;
    margin-top: 20px;
}

.canvas_content_wrapper .content_header {
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 10px;
    background-color: #f8f9fc;
    padding: 20px;
    border-radius: 16px;
}

.canvas_content_wrapper .content_header h5 {
    font-size: 16px;
    font-weight: 500;
}

.canvas_content_wrapper .content_header p {
    font-size: 14px;
    font-weight: 400;
    color: #777777;
}

.supplier_details_grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin-top: 20px;
}

.supplier_details_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 6px;
}

.copy_icon {
    width: 14px;
    height: 14px;
    color: #4a6cf7;
    cursor: pointer;
}

.supplier_details_wrapper .title {
    font-size: 14px;
    font-weight: 300;
    color: #777777;
}

.supplier_details_wrapper .desc {
    display: flex;
    align-items: baseline;
    gap: 8px;
    font-size: 14px;
    font-weight: 400;
    color: #0d1a36;
}

/* --------------------------------------- Off canvas css ends here ---------------------------- */

.threshold-component {
    width: 100%;
}
.threshold-card {
    width: 100%;
}

.threshold-header {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 0px;
}

.threshold-header .title {
    font-size: 14px;
    font-weight: 300;
}

/* Switch */
.threshold-header .switch {
    position: relative;
    width: 34px;
    height: 18px;
    margin: 0px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    inset: 0;
    background: #e4edfb;
    border-radius: 20px;
    cursor: pointer;
}

.slider::before {
    content: "";
    position: absolute;
    width: 14px;
    height: 14px;
    top: 2px;
    left: 2px;
    background: #fff;
    border-radius: 50%;
    transition: 0.2s;
}

.switch input:checked + .slider {
    background: #0d1a36;
}

.switch input:checked + .slider::before {
    transform: translateX(16px);
}

/* --------------------------------------- Attribute page css ends here ---------------------------- */

@media (max-width: 1024px) {
    .main_wrapper {
        padding: 12px;
    }

    .main_content {
        width: calc(100% - 200px);
    }

    .admin_sidebar {
        max-width: 200px;
    }

    .sidebar_header {
        padding-top: 16px;
    }

    .sidebar_nav {
        padding: 10px;
    }

    .sidebar_menu_btn {
        padding: 6px 8px;
        gap: 10px;
    }

    .sidebar_menu_icon {
        width: 18px;
    }

    .sidebar_submenu {
        min-width: 150px;
    }

    .sidebar_submenu_item {
        padding: 6px 8px;
        gap: 8px;
    }
}
